commit: fb32af1f43d087539bc26109ca3dd26c8b4bf64b
Author: Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 14 23:28:53 2021 +0000
Commit: Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Thu Jan 14 23:39:44 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/wine.git/commit/?id=fb32af1f
app-emulation/wine-staging: Bump to 6.0
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>
app-emulation/wine-staging/Manifest | 4 +-
app-emulation/wine-staging/metadata.xml | 1 +
...ging-6.0_rc4.ebuild => wine-staging-6.0.ebuild} | 6 +-
.../wine-staging/wine-staging-9999.ebuild | 119 +++++++++++----------
4 files changed, 71 insertions(+), 59 deletions(-)
diff --git a/app-emulation/wine-staging/Manifest
b/app-emulation/wine-staging/Manifest
index 5760373..133f2d8 100644
--- a/app-emulation/wine-staging/Manifest
+++ b/app-emulation/wine-staging/Manifest
@@ -49,7 +49,7 @@ DIST wine-5.6.tar.xz 23678216 BLAKE2B
7aee9a46c037d46d07a551a839056783c020d2e5c6
DIST wine-5.7.tar.xz 23723624 BLAKE2B
fbea8f753dee57368f7532eef6fe6bf366ba52e9c2b970147207cf879858b86a74d0dfb1f813cfd31058462aaa09f74dd07924370b4c3f032f0dcd0015eab90b
SHA512
46a8050cb21edf1116c93fd73fdc3bbbc1a19e18d77c38bc192f13e55954d3e503122c780ca9c1a50005b0bca6f3b0c640f3de05267f25289e08660321e27407
DIST wine-5.8.tar.xz 23753648 BLAKE2B
086f37ce469f6d176eab8daa2d124b1774526727e2f6fe4ecdd39862c13ed493ac4164cf98848d5bc8cba3675e13365f6ea2b34591d518c40c34d09556851578
SHA512
7b9df380655a72e8b9e95ca271a62308262d8efabbeb2ad459071afc9ed51518b42b1f75b019fe8d6b53cf5185e9cfc45ac1b8a7092f118fa2aff14f99c012de
DIST wine-5.9.tar.xz 23802356 BLAKE2B
1879c164c647a5b849056e4149a809c390814ae832773a44347cf1902fd49cb6619b4add5ea2d421c189d92b5c907daa0d6f62c37c48a8bd68d0eaa9eb465433
SHA512
edc6d55a275cf37430a62dc6d6d86bff6d5a434e708dbd99d245018db7f6a0abe39581a1d91eb947f204a45ac94cc5c931745169a3b63a2aecf8db277553b74b
-DIST wine-6.0-rc4.tar.xz 24194208 BLAKE2B
21d56bd02e3e4076af0d57e9665b153fd5336077de33510ddf8d3831ca5a2198ce96766ccb85b7a127114b2db3518ccc67dc7e7c573b7611455a0ad23de1f9e2
SHA512
adf3797319a4b9fff70589484059736392c1e463b52f33a3ea23367638f84aeef28c7250c6de04bf77d0e780aad6975e00fd5ac01105c2b8a877aa6c060e889d
+DIST wine-6.0.tar.xz 24192280 BLAKE2B
baf0eee582190ede8d210390b51d330c1879cb442100bc2e957052898fbd84bcc047a885065f9bf96ac4f072f92eee44f0e1c3baddc68937286e7cc6f976bd4e
SHA512
c0732fbab1da8737d595a876b28ce87eef1440c317746e798642b59b44b34e890de562e0c0cc674e97096f39db82f8e9c3b1cc1ba9edc246b7266a0f7cb00057
DIST wine-staging-150ce22fa21ffa040816e725ead34ed1de516bd8.tar.gz 9840427
BLAKE2B
e263d6563a5438973309346ba820acdb5079ef236c5c55694bdfa16c54f3f4fe76750ab324d6c5e1f0b429df634b917f138f4a1db38417ac2b49ce41ee36a211
SHA512
37f05909ca6cb28a3527f31882562146d3971f47345312b96783b5e62bc95ee61779f12f4c13e3d05ec5f331463a7600c16d5bc428d13c42bf3e3568f4d3923e
DIST wine-staging-3f3a05f91c85cb5ccdc4c8185bcc862c6e96cd52.tar.gz 9835238
BLAKE2B
27c0e7fe418e7ee82c7b1cfc13c0c1508a7f4637ef7b8d64675ed4038a42961382170c064221a7bad70a4e168aef7d4e33974d06afc18fc6da4cf5db047b242e
SHA512
b2ad84bed89e713f4dc4f01763c40dc785f39f180a8f926c1b9e944a581ffcfd5c422427314201df1359b4b1c27dc2261281353f44ae9408e800d6add7bde366
DIST wine-staging-4.0.tar.gz 9945756 BLAKE2B
bfd27d5677d01b4a14c4ef593b741b6fa6e75194de04a90659ecceaa8b087d594cafdd0a53cc2ad2d05e9c73928d70d0b6681ac0052df79f7b45cbb370b31d3d
SHA512
4c2277449be17b83235bab7898818a886e84e82c0c5eb8216a5bc42e3d9a0e1dcf09d4522e1165d503fd9237673fa91c2c07d837cde58897f1b6fc8bc6fa5d33
@@ -95,4 +95,4 @@ DIST wine-staging-5.6.tar.gz 9922611 BLAKE2B
945e7a6398d6f3f8f85f334a06462282647
DIST wine-staging-5.7.tar.gz 9913511 BLAKE2B
f5d803a067ec61c5d698d7ebf0623b55f0e4fee487e6fcfb4de057d742ff4d55bf184004c4427e8b93052efa74fe9e14da2a41a826c79a0c62ef25de7b6e10ef
SHA512
042bcf7b90769c9d88d5cd844009301fb768568ee10ebf7aed9c3397ca35f6d6b512db2010917695f32bed9edf174d95f80a141d5af75a43871444b1830f2922
DIST wine-staging-5.8.tar.gz 9878712 BLAKE2B
a96f7e4aa1d1dddcda1a9d6a30ab3b564fb365a09efde22e5b7abab1ac015da0bc242b2fec6d4ae14dc5ddad38e3314a5f8c430e6eb10853ed8619e805bf5787
SHA512
3ea2a90ab0613b680274c95cf7ef3d3a7d807571fb792e05fc1df9bbd7a35c80a0d7c38342fea8858c5557ae3f12287a7ce09d0cdab5064000b79ec6c891ad15
DIST wine-staging-5.9.tar.gz 9861847 BLAKE2B
61eb21e4386b772b98472707ea927f74ee77e8ec39caa494b6db2cdafc4b00e3aee503f9828a8df1cea2bbc6fa3aaf272fe28b60965de26132d4761058b59f25
SHA512
8fcf448be21edc0ccf8afef75013298c8f1634b51cd4d927ee5a1d039552d7c29609f65f283519b6561d09eb6eeae91fa6db70b9e78e4fd8bb5318408b39fb33
-DIST wine-staging-6.0-rc4.tar.gz 10386008 BLAKE2B
7504625b9faabfba114aae7179fa19d31491ccaefe422336530060946a23731ed9e1458a4eaaac5632ed327e1a8e3edeab3f9210532eeceb6f9e5394f5b43ddf
SHA512
48569114b616b503cd8e436ea7f14856872329d53fcb250a1fcd6ec21a990a06b13b85591ea37d49cc80de767b8ec1f6f653b04b696a7f3c70a65c37231f2a12
+DIST wine-staging-6.0.tar.gz 9863425 BLAKE2B
b51e0c3dc426c637de4ee89ee7d519847edcb04b1fb160f5f196e5560ce570ced682165ac74958433de79e104765d4811f004d323f357b753cf56108b9a631bb
SHA512
33845e398e9c3d4bacbd9cd369983e72517fd648747433eabd933b446f9d86f1d61660959ff4e05cb661cf4038550b3df3384f588f3f5504b1f8056196ca3c38
diff --git a/app-emulation/wine-staging/metadata.xml
b/app-emulation/wine-staging/metadata.xml
index d5dd13d..4850388 100644
--- a/app-emulation/wine-staging/metadata.xml
+++ b/app-emulation/wine-staging/metadata.xml
@@ -47,6 +47,7 @@ This variant of the Wine packaging includes the Wine-Staging
patchset.
<flag name="themes">Support GTK+:3 window theming through
Wine-Staging</flag>
<flag name="udev">Use <pkg>virtual/libudev</pkg> to provide
plug and play support</flag>
<flag name="unwind">Use <pkg>sys-libs/libunwind</pkg> to unwind
the stack</flag>
+ <flag name="usb">Use <pkg>virtual/libusb</pkg> to provide USB
support</flag>
<flag name="vkd3d">Use <pkg>app-emulation/vkd3d</pkg> to
provide Direct3D 12 support</flag>
<flag name="vulkan">Enable Vulkan drivers</flag>
</use>
diff --git a/app-emulation/wine-staging/wine-staging-6.0_rc4.ebuild
b/app-emulation/wine-staging/wine-staging-6.0.ebuild
similarity index 99%
rename from app-emulation/wine-staging/wine-staging-6.0_rc4.ebuild
rename to app-emulation/wine-staging/wine-staging-6.0.ebuild
index 4536995..2e9fe1f 100644
--- a/app-emulation/wine-staging/wine-staging-6.0_rc4.ebuild
+++ b/app-emulation/wine-staging/wine-staging-6.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -48,7 +48,7 @@ fi
LICENSE="LGPL-2.1"
SLOT="${MY_PV}"
-IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos
kernel_FreeBSD +lcms ldap mingw +mono mp3 netapi nls odbc openal opencl +opengl
osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes
samba scanner sdl selinux +ssl staging test themes +threads +truetype udev
+udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
+IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos
kernel_FreeBSD +lcms ldap mingw +mono mp3 netapi nls odbc openal opencl +opengl
osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes
samba scanner sdl selinux +ssl staging test themes +threads +truetype udev
+udisks +unwind usb v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
@@ -116,6 +116,7 @@ COMMON_DEPEND="
udev? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
unwind? ( sys-libs/libunwind[${MULTILIB_USEDEP}] )
+ usb? ( virtual/libusb[${MULTILIB_USEDEP}] )
v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
vaapi? ( x11-libs/libva[X,${MULTILIB_USEDEP}] )
vkd3d? ( >=app-emulation/vkd3d-1.2[${MULTILIB_USEDEP}] )
@@ -511,6 +512,7 @@ multilib_src_configure() {
$(use_with truetype freetype)
$(use_with udev)
$(use_with unwind)
+ $(use_with usb)
$(use_with v4l v4l2)
$(use_with vkd3d)
$(use_with vulkan)
diff --git a/app-emulation/wine-staging/wine-staging-9999.ebuild
b/app-emulation/wine-staging/wine-staging-9999.ebuild
index ccde3bd..2e9fe1f 100644
--- a/app-emulation/wine-staging/wine-staging-9999.ebuild
+++ b/app-emulation/wine-staging/wine-staging-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -7,11 +7,11 @@ PLOCALES="ar ast bg ca cs da de el en en_US eo es fa fi fr he
hi hr hu it ja ko
PLOCALE_BACKUP="en"
inherit autotools eapi7-ver estack eutils flag-o-matic gnome2-utils l10n
multilib multilib-minimal pax-utils toolchain-funcs virtualx xdg-utils
-
MY_PN="${PN%%-*}"
-MY_P="${MY_PN}-${PV}"
+MY_PV="${PV/_/-}"
+MY_P="${MY_PN}-${MY_PV}"
-if [[ ${PV} == "9999" ]] ; then
+if [[ ${MY_PV} == "9999" ]] ; then
EGIT_REPO_URI="https://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
inherit git-r3
@@ -19,12 +19,16 @@ if [[ ${PV} == "9999" ]] ; then
#KEYWORDS=""
else
MAJOR_V=$(ver_cut 1)
- SRC_URI="https://dl.winehq.org/wine/source/${MAJOR_V}.x/${MY_P}.tar.xz"
+ MINOR_V=$(ver_cut 2)
+ if [[ ${MINOR_V} != "0" ]] ; then
+ MINOR_V="x"
+ fi
+
SRC_URI="https://dl.winehq.org/wine/source/${MAJOR_V}.${MINOR_V}/${MY_P}.tar.xz"
KEYWORDS="-* ~amd64 ~x86"
fi
S="${WORKDIR}/${MY_P}"
-STAGING_P="wine-staging-${PV}"
+STAGING_P="wine-staging-${MY_PV}"
STAGING_DIR="${WORKDIR}/${STAGING_P}"
GWP_V="20200523"
PATCHDIR="${WORKDIR}/gentoo-wine-patches"
@@ -35,16 +39,16 @@ SRC_URI="${SRC_URI}
https://dev.gentoo.org/~sarnex/distfiles/wine/gentoo-wine-patches-${GWP_V}.tar.xz
"
-if [[ ${PV} == "9999" ]] ; then
+if [[ ${MY_PV} == "9999" ]] ; then
STAGING_EGIT_REPO_URI="https://github.com/wine-staging/wine-staging.git"
else
SRC_URI="${SRC_URI}
- staging? (
https://github.com/wine-staging/wine-staging/archive/v${PV}.tar.gz ->
${STAGING_P}.tar.gz )"
+ staging? (
https://github.com/wine-staging/wine-staging/archive/v${MY_PV}.tar.gz ->
${STAGING_P}.tar.gz )"
fi
LICENSE="LGPL-2.1"
-SLOT="${PV}"
-IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos
kernel_FreeBSD +lcms ldap mingw +mono mp3 netapi nls odbc openal opencl +opengl
osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes
samba scanner sdl selinux +ssl staging test themes +threads +truetype udev
+udisks +unwind v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
+SLOT="${MY_PV}"
+IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc
+faudio +fontconfig +gcrypt +gecko gphoto2 gsm gssapi gstreamer +jpeg kerberos
kernel_FreeBSD +lcms ldap mingw +mono mp3 netapi nls odbc openal opencl +opengl
osmesa oss +perl pcap pipelight +png prelink pulseaudio +realtime +run-exes
samba scanner sdl selinux +ssl staging test themes +threads +truetype udev
+udisks +unwind usb v4l vaapi vkd3d vulkan +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
X? ( truetype )
elibc_glibc? ( threads )
@@ -112,6 +116,7 @@ COMMON_DEPEND="
udev? ( virtual/libudev:=[${MULTILIB_USEDEP}] )
udisks? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
unwind? ( sys-libs/libunwind[${MULTILIB_USEDEP}] )
+ usb? ( virtual/libusb[${MULTILIB_USEDEP}] )
v4l? ( media-libs/libv4l[${MULTILIB_USEDEP}] )
vaapi? ( x11-libs/libva[X,${MULTILIB_USEDEP}] )
vkd3d? ( >=app-emulation/vkd3d-1.2[${MULTILIB_USEDEP}] )
@@ -171,7 +176,7 @@ PATCHES=(
PATCHES_BIN=()
# https://bugs.gentoo.org/show_bug.cgi?id=635222
-if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${PV} == 9999 ]]; then
+if [[ ${#PATCHES_BIN[@]} -ge 1 ]] || [[ ${MY_PV} == 9999 ]]; then
DEPEND+=" dev-util/patchbin"
fi
@@ -285,44 +290,46 @@ wine_env_vcs_vars() {
}
pkg_pretend() {
- wine_build_environment_check || die
+ if [[ ${MERGE_TYPE} != binary ]] ; then
+ wine_build_environment_check || die
+
+ # Verify OSS support
+ if use oss && ! use kernel_FreeBSD; then
+ if ! has_version ">=media-sound/oss-4"; then
+ eerror "You cannot build wine with USE=oss
without having support from a"
+ eerror "FreeBSD kernel or >=media-sound/oss-4
(only available through external repos)"
+ eerror
+ die
+ fi
+ fi
- # Verify OSS support
- if use oss && ! use kernel_FreeBSD; then
- if ! has_version ">=media-sound/oss-4"; then
- eerror "You cannot build wine with USE=oss without
having support from a"
- eerror "FreeBSD kernel or >=media-sound/oss-4 (only
available through external repos)"
+ if use mingw && use abi_x86_32 && ! has_version
"cross-i686-w64-mingw32/gcc"; then
eerror
- die
+ eerror "USE=\"mingw\" is currently experimental, and
requires the"
+ eerror "'cross-i686-w64-mingw32' compiler and its
runtime for 32-bit builds."
+ eerror
+ eerror "These can be installed by using
'sys-devel/crossdev':"
+ eerror
+ eerror "crossdev --target i686-w64-mingw32"
+ eerror
+ eerror "For more information on setting up MinGW, see:
https://wiki.gentoo.org/wiki/Mingw"
+ eerror
+ die "MinGW build was enabled, but no compiler to
support it was found."
fi
- fi
- if use mingw && use abi_x86_32 && ! has_version
"cross-i686-w64-mingw32/gcc"; then
- eerror
- eerror "USE=\"mingw\" is currently experimental, and requires
the"
- eerror "'cross-i686-w64-mingw32' compiler and its runtime for
32-bit builds."
- eerror
- eerror "These can be installed by using 'sys-devel/crossdev':"
- eerror
- eerror "crossdev --target i686-w64-mingw32"
- eerror
- eerror "For more information on setting up MinGW, see:
https://wiki.gentoo.org/wiki/Mingw"
- eerror
- die "MinGW build was enabled, but no compiler to support it was
found."
- fi
-
- if use mingw && use abi_x86_64 && ! has_version
"cross-x86_64-w64-mingw32/gcc"; then
- eerror
- eerror "USE=\"mingw\" is currently experimental, and requires
the"
- eerror "'cross-x86_64-w64-mingw32' compiler and its runtime for
64-bit builds."
- eerror
- eerror "These can be installed by using 'sys-devel/crossdev':"
- eerror
- eerror "crossdev --target x86_64-w64-mingw32"
- eerror
- eerror "For more information on setting up MinGW, see:
https://wiki.gentoo.org/wiki/Mingw"
- eerror
- die "MinGW build was enabled, but no compiler to support it was
found."
+ if use mingw && use abi_x86_64 && ! has_version
"cross-x86_64-w64-mingw32/gcc"; then
+ eerror
+ eerror "USE=\"mingw\" is currently experimental, and
requires the"
+ eerror "'cross-x86_64-w64-mingw32' compiler and its
runtime for 64-bit builds."
+ eerror
+ eerror "These can be installed by using
'sys-devel/crossdev':"
+ eerror
+ eerror "crossdev --target x86_64-w64-mingw32"
+ eerror
+ eerror "For more information on setting up MinGW, see:
https://wiki.gentoo.org/wiki/Mingw"
+ eerror
+ die "MinGW build was enabled, but no compiler to
support it was found."
+ fi
fi
}
@@ -330,7 +337,7 @@ pkg_setup() {
wine_build_environment_check || die
wine_env_vcs_vars || die
- WINE_VARIANT="${PN#wine}-${PV}"
+ WINE_VARIANT="${PN#wine}-${MY_PV}"
WINE_VARIANT="${WINE_VARIANT#-}"
MY_PREFIX="${EPREFIX}/usr/lib/wine-${WINE_VARIANT}"
@@ -344,7 +351,7 @@ pkg_setup() {
}
src_unpack() {
- if [[ ${PV} == "9999" ]] ; then
+ if [[ ${MY_PV} == "9999" ]] ; then
EGIT_CHECKOUT_DIR="${S}" git-r3_src_unpack
if use staging; then
local CURRENT_WINE_COMMIT=${EGIT_VERSION}
@@ -505,6 +512,7 @@ multilib_src_configure() {
$(use_with truetype freetype)
$(use_with udev)
$(use_with unwind)
+ $(use_with usb)
$(use_with v4l v4l2)
$(use_with vkd3d)
$(use_with vulkan)
@@ -522,9 +530,10 @@ multilib_src_configure() {
$(use_with vaapi va)
)
- local PKG_CONFIG
+ local PKG_CONFIG AR RANLIB
# Avoid crossdev's i686-pc-linux-gnu-pkg-config if building wine32 on
amd64; #472038
- tc-export PKG_CONFIG
+ # set AR and RANLIB to make QA scripts happy; #483342
+ tc-export PKG_CONFIG AR RANLIB
if use amd64; then
if [[ ${ABI} == amd64 ]]; then
@@ -613,12 +622,12 @@ multilib_src_install_all() {
}
pkg_postinst() {
- eselect wine register ${P}
+ eselect wine register ${PN}-${MY_PV}
if [[ ${PN} == "wine-vanilla" ]]; then
- eselect wine register --vanilla ${P} || die
+ eselect wine register --vanilla ${PN}-${MY_PV} || die
else
if use staging; then
- eselect wine register --staging ${P} || die
+ eselect wine register --staging ${PN}-${MY_PV} || die
fi
fi
@@ -641,12 +650,12 @@ pkg_postinst() {
}
pkg_prerm() {
- eselect wine deregister ${P}
+ eselect wine deregister ${PN}-${MY_PV}
if [[ ${PN} == "wine-vanilla" ]]; then
- eselect wine deregister --vanilla ${P} || die
+ eselect wine deregister --vanilla ${PN}-${MY_PV} || die
else
if use staging; then
- eselect wine deregister --staging ${P} || die
+ eselect wine deregister --staging ${PN}-${MY_PV}|| die
fi
fi